# PokemonMoveAccuracyBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonMoveAccuracyBoosterModifier

#### Hierarchy (View Summary)

- PokemonHeldItemModifier
  - PokemonMoveAccuracyBoosterModifier

- Defined in src/modifier/modifier.ts:2695

##### Index

### Constructors

constructor

### Properties

isTransferable
pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new PokemonMoveAccuracyBoosterModifier(
  type: PokemonMoveAccuracyBoosterModifierType ,
  pokemonId: number,
  accuracy: number,
  stackCount?: number,
  ): PokemonMoveAccuracyBoosterModifier

  #### Parameters

  - type: PokemonMoveAccuracyBoosterModifierType
  - pokemonId: number
  - accuracy: number
  - `Optional` stackCount: number

  #### Returns PokemonMoveAccuracyBoosterModifier

  Overrides PokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:2699

## Properties

### isTransferable

isTransferable: boolean = true

Inherited from PokemonHeldItemModifier.isTransferable

- Defined in src/modifier/modifier.ts:657

### pokemonId

pokemonId: number

Inherited from PokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:656

### stackCount

stackCount: number

Inherited from PokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: PokemonMoveAccuracyBoosterModifierType

Overrides PokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:2696

### virtualStackCount

virtualStackCount: number

Inherited from PokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(_pokemon: default , moveAccuracy: NumberHolder ): boolean

  Applies PokemonMoveAccuracyBoosterModifier

  #### Parameters

  - _pokemon: default

    The `Pokemon` to apply the move accuracy boost to

  - moveAccuracy: NumberHolder

    `NumberHolder` holding the move accuracy boost

  #### Returns boolean

  always `true`

  Overrides PokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:2736

### clone

- clone(): PersistentModifier

  #### Returns PersistentModifier

  Overrides PokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:2712

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides PokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:2716

### getIcon

- getIcon(forSummary?: boolean): Container

  #### Parameters

  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:696

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from PokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxHeldItemCount

- getMaxHeldItemCount(_pokemon: default ): number

  #### Parameters

  - _pokemon: default

  #### Returns number

  Overrides PokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:2742

### getMaxStackCount

- getMaxStackCount(forThreshold?: boolean): number

  #### Parameters

  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from PokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:737

### getPokemon

- getPokemon(): undefined | default

  #### Returns undefined | default

  Inherited from PokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:729

### getScoreMultiplier

- getScoreMultiplier(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:733

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:692

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:667

### matchType

- matchType(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:2704

### shouldApply

- shouldApply(pokemon?: default , moveAccuracy?: NumberHolder ): boolean

  Checks if PokemonMoveAccuracyBoosterModifier should be applied

  #### Parameters

  - `Optional` pokemon: default

    The `Pokemon` to apply the move accuracy boost to

  - `Optional` moveAccuracy: NumberHolder

    `NumberHolder` holding the move accuracy boost

  #### Returns boolean

  `true` if PokemonMoveAccuracyBoosterModifier should be applied

  Overrides PokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2726